      REAL(KIND(0.0D0)) FUNCTION EPHS (X, DX) 
!-----------------------------------------------
!   M o d u l e s 
!-----------------------------------------------
      USE vast_kind_param
      USE params_M 
      USE jmix_dat_M
      USE zfft_dat_M
!...Translated by Pacific-Sierra Research 77to90  4.4D  16:36:33   4/10/03  
!...Switches: -yf12               
 
      IMPLICIT NONE
!-----------------------------------------------
!   G l o b a l   P a r a m e t e r s
!-----------------------------------------------
!-----------------------------------------------
!   D u m m y   A r g u m e n t s
!-----------------------------------------------
      REAL(DOUBLE) :: X 
      REAL(DOUBLE) :: DX 
!-----------------------------------------------
!   L o c a l   P a r a m e t e r s
!-----------------------------------------------
!-----------------------------------------------
!   L o c a l   V a r i a b l e s
!-----------------------------------------------
      INTEGER :: I, IMAX 
      REAL(DOUBLE) :: XP 
!-----------------------------------------------
 
      XP = X/PMAX 
 
      SELECT CASE (IEPHS)  
      CASE (1, 4)  
!       interpolate the phase function to path difference x
         IF (X<EPHSX(1) - DX .OR. X>EPHSX(JEPHS)+DX) THEN 
            WRITE (16, *) 'Path difference', X, ' is out of range of ephsx' 
            !print *, X, EPHSX(1), DX, EPHSX(JEPHS)
            STOP  
         ENDIF 
         DO I = 2, JEPHS 
            IF (EPHSX(I) <= X) CYCLE  
            IMAX = I 
            EXIT  
         END DO 
         EPHS = EPHSF(IMAX-1) + (X - EPHSX(IMAX-1))*(EPHSF(IMAX)-EPHSF(IMAX-1))&
            /(EPHSX(IMAX)-EPHSX(IMAX-1)) 
 
      CASE (2)  
!       ephs is a polynomial with nephs terms
         EPHS = 0.D0 
         DO I = 1, NEPHS 
            EPHS = EPHS + (EPHSF(I)-1.D0)*XP**I 
         END DO 
 
      CASE DEFAULT 
         EPHS = 0.D0 
 
      END SELECT 
 
      RETURN  
      END FUNCTION EPHS 
