      SUBROUTINE TALL 
!-----------------------------------------------
!   M o d u l e s 
!-----------------------------------------------
      USE vast_kind_param
      USE params_M 
      USE bands_dat_M
      USE trans_dat_M 
!...Translated by Pacific-Sierra Research 77to90  4.4D  16:36:33   4/10/03  
!...Switches: -yf12               
!  --- MAKE APPROPRIATE CALLS TO TRANS SUBROUTINE TO COMPUTE ALL
!  --- MONCHROMATIC TRANSMITTANCES (IPARM=1 CALL)
 
      IMPLICIT NONE
!-----------------------------------------------
!   G l o b a l   P a r a m e t e r s
!-----------------------------------------------
!-----------------------------------------------
!   L o c a l   P a r a m e t e r s
!-----------------------------------------------
!-----------------------------------------------
!   L o c a l   V a r i a b l e s
!-----------------------------------------------
      INTEGER :: MONONE, MXONE, IBAND, N 
!-----------------------------------------------
!
 
      MONONE = 1 
      MXONE = 1 
!  --- COMPUTE MONOCHROMATIC TRANSMITTANCES FOR ALL SCANS
      DO IBAND = 1, NBAND 
         N = NSCAN(IBAND) 
         IF (N == 0) CYCLE  
         CALL NTRAN (IBAND, 1, 1, MONONE, MXONE) 
         MONONE = MONONE + NM(IBAND)*NSCAN(IBAND) 
         MXONE = MXONE + NM(IBAND) 
      END DO 
!  --- COPY TRANSMISSION ARRAY
      TCALC(2,:NMONSM) = TCALC(1,:NMONSM) 
      RETURN  
      END SUBROUTINE TALL 
